<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
	xmlns:tra="http://tra.whaletatoo.com/"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<xsl:output
	method="html"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
<xsl:variable name="title" select="/rss/channel/title"/>
<xsl:template match="/">
	<html xmlns="http://www.w3.org/1999/xhtml">
	
		<head profile="http://gmpg.org/xfn/11">
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
			<title><xsl:value-of select="$title"/></title>
			<link rel="stylesheet" href="http://tra.whaletattoo.com/wp-content/themes/tra/style.css" type="text/css" media="screen" />
		</head>
			<xsl:apply-templates/>
	</html>
</xsl:template>
<xsl:template match="rss">
	<body>
		<div id="page">
			<div id="header">
				<img name="headerimg" src="/wp-content/themes/tra/images/logo.png" width="764px" usemap="headermap" border="0" alt="header" />
				<map id="headermap" name="headermap" >
					<area shape="rect" coords="182,28,233,72" onmouseover="SwapHeader(2);" onmouseout="SwapHeader(0);" href="#" alt="Tea" />
					<area shape="rect" coords="522,27,569,76" onmouseover="SwapHeader(1);" onmouseout="SwapHeader(0);" href="#" alt="Scones" />
					<area shape="rect" coords="233,7,521,95" alt="Tea-Room Appreciators" href="/" />
				</map>
				<div id="headertext" class="hidden">
					<h1>Tea-Room Appreciators</h1>	
				</div>
			</div>
			<div id="nonheader">
				<div id="content" class="narrowcolumn">
					<xsl:apply-templates select="channel"/>
				</div>
				<div id="sidebar">
					<ul>
						<li>
							<xsl:apply-templates select="channel/link"/>
						</li>
						<li>
							<xsl:call-template name="instructions"/>
						</li>
						<li id="search">
							<h2>Site Search</h2>
							<form id="searchform" method="get" action="http://tra.whaletattoo.com">
				
							<div>
							<input type="text" name="s" id="s" size="15" /><br />
							<input type="submit" value="Search" />
							</div>
							</form>
						</li>
					</ul>
				</div>
				<div id="footer">
					<p><xsl:value-of select="$title"/> proudly powered by <a href="http://wordpress.org">Wordpress</a>.</p>
				</div>
			</div>
		</div>
	</body>
</xsl:template>
<xsl:template match="channel/link">
	<h2><xsl:element name="a"><xsl:attribute name="href"><xsl:value-of select="/rss/channel/link" /></xsl:attribute>Click here to go to the main site.</xsl:element></h2>
</xsl:template>
<xsl:template match="channel">
	<h2>RSS 2.0 Feed for <xsl:value-of select="$title"/></h2>
	<xsl:apply-templates select="description"/>
	<xsl:apply-templates select="item"/>
</xsl:template>
	<xsl:template match="channel/description">
		<h3><xsl:apply-templates/></h3>
	</xsl:template>
	<xsl:template match="channel/item">
		<div class="item">
			<xsl:apply-templates select="title"/>
			<xsl:apply-templates select="description"/>
			<xsl:apply-templates select="pubDate"/>
			<xsl:apply-templates select="link"/>
		</div>
	</xsl:template>
	<xsl:template match="item/title">
		<h3 style="margin-top: 2em;"><xsl:apply-templates/></h3>
	</xsl:template>
	<xsl:template match="item/description">
		<p><xsl:apply-templates/></p>
    </xsl:template>
	<xsl:template match="item/pubDate">
		<p>Published: <xsl:apply-templates/></p>
	</xsl:template>
	<xsl:template match="item/link">
      <p><a href="{.}"><xsl:apply-templates/></a></p>
	</xsl:template>
	<xsl:template match="instructions" name="instructions">
		<li id="humperdinck" style="margin-top: 3em;">
			<h2>Instructions</h2>
			<p>To read this feed in your news aggregator, add the URL for this page to your aggregator's list of feeds and/or bookmarks.</p>
			<ul>
				<li><a href="http://www.google.com/search?q=rss">What is RSS?</a> [Google]</li>
				<li><a href="http://www.google.com/search?q=define:newsreader">What is a newsreader/aggregator?</a> [Google]</li>
			</ul>
			<p>Some popular newsreaders include:</p>
			<ul>
				<li><a href="http://sage.mozdev.org/">Sage Newsreader Extension for Firefox/Mozilla</a> [Win, Mac, Linux, free]</li>
				<li><a href="http://www.feedreader.com/">FeedReader</a> [Win, free]</li>
				<li><a href="http://www.bradsoft.com/feeddemon/">FeedDemon</a> [Win, $]</li>
				<li><a href="http://www.disobey.com/amphetadesk/">Amphetadesk</a> [Win, Mac, Linux, free]</li>
				<li><a href="http://ranchero.com/netnewswire/">NetNewsWire</a> [Mac, $]</li>
			</ul>
		</li>
	</xsl:template>
</xsl:stylesheet> 